/**
 * Created by : Julien Dubois.
 * Version : 2;
 * Update date : 13.05.2022
 */

//variables statiques permettant l'utilisation des paramètres d'URL
let queryString = window.location.search;
let urlParams = new URLSearchParams(queryString);

/**
 * Cette fonction est appelée lorsque du chargement de la page des détails de stage
 *.elle a pour but de lancer la méthode GET_stageDetails() avec la valeur de la PK du stage.
 */
function loadStageDetails() {
  var stagePK = urlParams.get("stage");
  GET_stageDetails(stagePK, loadStageDetailsSuccess, loadStageDetailsFailed);
}

/**
 * Cette fonction est appelé en cas de succès de la méthode GET_stageDetails().
 * Elle a pour but d'afficher les détails du stage sur la page.
 * 
 * @param data le retour de la méthode GET_stageDetails() sous format XML.
 * @param text le status de l'opération de GET_stageDetails().
 * @param jqXHR les données en raw
 */
function loadStageDetailsSuccess(data, text, jqXHR) {
  console.log("Loader Succes !");
  console.log(data);
  if (data != null) {
    document.getElementById("image1").setAttribute("src", "images/"+$(data).find("imgPath").text());
    document.getElementById("lvltitle").innerHTML = "- "+$(data).find("nom").text()+" -";
    document.getElementById("nbPar").innerHTML = $(data).find("paper").text() +" parchemins";
    document.getElementById("chestPercent").innerHTML = $(data).find('cursedChest').text()+"% de chance";
    document.getElementById("stuffLVL").innerHTML = "équipement de niveau "+$(data).find('equipLvl').text();
  }
}

/**
 * Cette fonction est appelé en cas d'erreur de la méthode  GET_stageDetails().
 * Elle a pour but de mentionner l'erreur.
 * 
 * @param data le retour de la méthode  GET_stageDetails() sous format XML.
 * @param text le status de l'opération de  GET_stageDetails().
 * @param jqXHR l'erreur complète
 */
function loadStageDetailsFailed(data, text, jqXHR) {
  console.log("Loader Failed");
  console.log(text);
  console.log(data);
}
